> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gloo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Church Metrics AI Insights

> Church Metrics AI Insights.

<Warning>
  **Deprecated Endpoint**: This endpoint is deprecated and no longer supported.
</Warning>


## OpenAPI

````yaml post /ai/v1/kallm/sotc/church-metrics-ai-insights
openapi: 3.1.0
info:
  title: AI API
  description: |-
    Optimized for high-speed inference and scalability by Gloo AI

    [Swagger UI](./docs) | [ReDoc UI](./redoc)
  version: 1.0.0
servers:
  - url: https://platform.ai.gloo.com
security:
  - bearerAuth: []
tags:
  - name: Content Controls
  - name: Data Engine
  - name: Ingestion & Enrichment
  - name: answers
  - name: chat
  - name: completions
  - name: content
  - name: core
  - name: data
  - name: get-models
  - name: ingestion
  - name: sotc
paths:
  /ai/v1/kallm/sotc/church-metrics-ai-insights:
    post:
      tags:
        - sotc
      summary: Church Metrics AI Insights
      description: Church Metrics AI Insights.
      operationId: analysis_ai_v1_kallm_sotc_church_metrics_ai_insights_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_analysis_ai_v1_kallm_sotc_church_metrics_ai_insights_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChurchMetricsInsightsResponseBody'
        '422':
          description: Invalid file format. Please upload a CSV file.
          content:
            application/json:
              example:
                detail: Invalid file format. Please upload a CSV file.
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                detail: Internal server error
      deprecated: true
components:
  schemas:
    Body_analysis_ai_v1_kallm_sotc_church_metrics_ai_insights_post:
      properties:
        nationalCsvFile:
          type: string
          format: binary
          title: CSV file containing the national church metrics data
          description: Upload a CSV file containing the national church metrics data.
        orgCsvFile:
          type: string
          format: binary
          title: CSV file containing the organization church metrics data
          description: >-
            Upload a CSV file containing the organization church metrics data
            (optional).
      type: object
      required:
        - nationalCsvFile
      title: Body_analysis_ai_v1_kallm_sotc_church_metrics_ai_insights_post
    ChurchMetricsInsightsResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Insight'
          type: array
          title: Data
          description: Response data containing insights
      type: object
      required:
        - data
      title: ChurchMetricsInsightsResponseBody
    Insight:
      properties:
        title:
          type: string
          title: Title
          description: Title of the insight
        text:
          type: string
          title: Text
          description: Text content of the insight
        categories:
          items:
            type: string
          type: array
          title: Categories
          description: Categories this insight relates to
      type: object
      required:
        - title
        - text
        - categories
      title: Insight
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth token](/studio/manage-api-credentials).

````